# DisplayItems.pm - The Class that provides a DisplayItems Object
#$Id: DisplayItems.pm,v 1.9 2004/10/13 21:49:55 moreejt Exp $
#This package is released under the GNU General Public License.
#You should have recieved a copy of the GPL with it.
# Copyright (c) 2000 HLR http://www.pcxperience.org  All rights reserved.

package Portal::Accounting::DisplayItems;
use strict;
use Portal::Data::Config;
use vars qw($AUTOLOAD $VERSION @ISA @EXPORT);

require Exporter;

@ISA = qw(Exporter AutoLoader);
@EXPORT = qw();

$VERSION = '0.01';

#required: doc => HTMLObject, ledger => string
#Optional: style => string (to be deprecated)
sub displayMenu
{
  my $self = shift;
  my $doc;
  my %args = ( @_ );
  my $style = "text";
  my $ledger_db; # = $main::ledger;
  my $siteDir = $self->{portalConfig}->{siteDir};

  if (!(defined $args{doc}))
  {
    $self->{error} = 1;
    $self->{errorString} = "No document sent to function displayMenu";
    return undef;
  }
  $doc = $args{doc};
  if (defined $args{style})
  {
    $style = $args{style};
  }
  if (defined $args{ledger})
  {
    $ledger_db = $args{ledger};
  }
  my $focus = $doc->getFocus();

  $doc->setFocus("body");

  $doc->print(<<"END_OF_CODE");
<form name="portal_form" action="$siteDir/cgi-bin/index.cgi" method="post">
  <input type="hidden" name="app" value="Accounting">
  <input type="hidden" name="state" value="Main">
  <input type="hidden" name="command" value="close_ledger">
  <input type="hidden" name="ledger" value="$ledger_db">
</form>
END_OF_CODE

  $doc->print("<form name=\"main_menu_bar\" action=\"\" method=post>\n");
  $doc->print("<input type=hidden name=\"ledger\" value=\"$ledger_db\">\n");
  $doc->print("<input type=hidden name=\"ledger_open\" value=\"true\">\n");
  $doc->print("<input type=hidden name=\"edit\" value=\"false\">\n");
  $doc->print("<input type=hidden name=\"command\" value=\"\">\n");
  $doc->print("<table border=0 cellspacing=0 cellpadding=0>\n");
  $doc->print("<tr>\n");
  $doc->print("<td nowrap>\n");
  # make image hyper-links to the main menu options
  if ($style eq "banner")
  {
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/left2.gif\">");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.portal_form, '$siteDir/cgi-bin/index.cgi');\" onMouseOver=\"highlight(document.main_menu, '$siteDir/js/Accounting/accounting/images/main_menu_highlight.jpg');\" onMouseOut=\"highlight(document.main_menu, '$siteDir/js/Accounting/accounting/images/main_menu.jpg');\"><img name=\"main_menu\" src=\"$siteDir/js/Accounting/accounting/images/main_menu.jpg\" alt=\"Main Menu\" border=0></a>");
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/divider2.jpg\">");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/ledger.cgi');\" onMouseOver=\"highlight(document.ledger_summary, '$siteDir/js/Accounting/accounting/images/ledger_summary_highlight.jpg');\" onMouseOut=\"highlight(document.ledger_summary, '$siteDir/js/Accounting/accounting/images/ledger_summary.jpg');\"><img name=\"ledger_summary\" src=\"$siteDir/js/Accounting/accounting/images/ledger_summary.jpg\" alt=\"Ledger Summary\" border=0></a>");
    $doc->print("<input type=hidden name=\"open\" value=\"\">");
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/divider2.jpg\">");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/journals.cgi');\" onMouseOver=\"highlight(document.journals, '$siteDir/js/Accounting/accounting/images/journals_highlight.jpg');\" onMouseOut=\"highlight(document.journals, '$siteDir/js/Accounting/accounting/images/journals.jpg');\"><img name=\"journals\" src=\"$siteDir/js/Accounting/accounting/images/journals.jpg\" alt=\"Journals\" border=0></a>");
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/divider2.jpg\">");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/register.cgi');\" onMouseOver=\"highlight(document.registers, '$siteDir/js/Accounting/accounting/images/registers_highlight.jpg');\" onMouseOut=\"highlight(document.registers, '$siteDir/js/Accounting/accounting/images/registers.jpg');\"><img name=\"registers\" src=\"$siteDir/js/Accounting/accounting/images/registers.jpg\" alt=\"Registers\" border=0></a>");
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/divider2.jpg\">");
    $doc->print("<a href=\"\" onClick=\"document.main_menu_bar.command.value='display_for_running'; return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/report.cgi');\" onMouseOver=\"highlight(document.reports, '$siteDir/js/Accounting/accounting/images/reports_highlight.jpg');\" onMouseOut=\"highlight(document.reports, '$siteDir/js/Accounting/accounting/images/reports.jpg');\"><img name=\"reports\" src=\"$siteDir/js/Accounting/accounting/images/reports.jpg\" alt=\"Reports\" border=0></a>");
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/divider2.jpg\">");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/journal_search.cgi');\" onMouseOver=\"highlight(document.search, '$siteDir/js/Accounting/accounting/images/search_highlight.jpg');\" onMouseOut=\"highlight(document.search, '$siteDir/js/Accounting/accounting/images/search.jpg');\"><img name=\"search\" src=\"$siteDir/js/Accounting/accounting/images/search.jpg\" alt=\"Search\" border=0></a>");
    $doc->print("<img src=\"$siteDir/js/Accounting/accounting/images/right2.gif\">\n");
  }
  elsif($style eq "text")
  {
    $doc->print("<a href=\"\" onClick=\"return go_here(document.portal_form, '$siteDir/cgi-bin/index.cgi');\">Main</a>");
    $doc->print(" | ");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/ledger.cgi');\">Ledger</a>");
    $doc->print("<input type=hidden name=\"open\" value=\"\">");
    $doc->print(" | ");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/journals.cgi');\">Journals</a>");
    $doc->print(" | ");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/register.cgi');\">Registers</a>");
    $doc->print(" | ");
    $doc->print("<a href=\"\" onClick=\"document.main_menu_bar.command.value='display_for_running'; return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/report.cgi');\" >Reports</a>");
    $doc->print(" | ");
    $doc->print("<a href=\"\" onClick=\"return go_here(document.main_menu_bar, '$siteDir/js/Accounting/accounting/cgi-bin/journal_search.cgi');\">Search</a>");
  }
  $doc->print("</td>\n");
  $doc->print("</tr>\n");
  $doc->print("</table>\n");
  $doc->print("</form>\n");

#  $doc->setFocus("javascript");
#  $doc->print("function highlight(x, image_url)\n{  // set the location for the image contained in x to the image_url\n  x.src = image_url;\n}\n");
  $doc->setJavascriptInclude(file=>"$siteDir/js/Accounting/accounting/js/common.js");
  $doc->setFocus($focus);

  return $doc;
}

# new
# instantiates an instance of a DisplayItems
sub new
{
  my $that = shift;
  my $class = ref($that) || $that;
  my $self = bless {}, $class;
  my %args = (  @_ );
  my $db;
  #should recieve a database wrapper object so that we have a connection to the database
  #if (defined $args{dbhandle})
  #{
  #  $db = $args{dbhandle};
  #}
  #else
  #{
  #  $self->setError("Did not receive database handle in DisplayItems\n");
  #  return undef;
  #}

  $self->{portalConfig} = Portal::Data::Config->new;

  # do validation
  $self->{error} = !$self->isValid;
  if ($self->{error})
  {
    $self->{errorString} = "DisplayItems: new() - Error!<br>\n" . $self->{errorString};
  }

  return $self;
}

# isValid - Returns 0 or 1 to indicate if the object is valid.
sub isValid
{
  my $self = shift;
  my $error = 0;
  my $errorString = "";

  # do validation code here.

  $self->{error} = $error;
  $self->{errorString} = "DisplayItems: isValid() - Error!<br>\n" if $error;
  $self->{errorString} .= $errorString;

  return !$error;
}

sub DESTROY
{
  my $self = shift;
}

sub AUTOLOAD
{
  my $self = shift;
  my $type = ref($self) || die "$self is not an object";
  my $name = $AUTOLOAD;
  $name =~ s/.*://;	# strip fully-qualified portion
  unless (exists $self->{$name})
  {
    die "Can't access `$name' field in object of class $type";
  }
  if (@_)
  {
    return $self->{$name} = shift;
  }
  else
  {
    return $self->{$name};
  }
}

# setError
# requires: errorString
# returns: nothing
sub setError
{
  my $self = shift;
  my %args = ( errorString => "", @_ );
  my $errorString = $args{errorString};

  $self->{errorString} = $errorString;
  $self->{error} = 1;
}

# didErrorOccur
# returns the value of error.
sub didErrorOccur
{
  my $self = shift;

  return $self->{error};
}

# errorMessage
# returns the value of errorString
sub errorMessage
{
  my $self = shift;

  return $self->{errorString};
}

# displayMoney
# requires: amount
# optional: negativeFormat, positivePadding, commify
# returns: html code to display the monetary value with.
# This routine displays the monetary value in the desired negative format (if negative).  If positive, 2 spaces are added to the end of the output so that padding
# is done correctly, if specified.
# negativeFormat: (0 = <font color="red">(</font>amount<font color="red">)</font>, 1 = <font color="red">-</font>amount, 2 = amount<font color="red">-</font>)
sub displayMoney
{
  my $self = shift;
  my %args = ( amount => "0.00", negativeFormat => 0, positivePadding => "true", commify => "true", @_ );
  my $amount = $args{amount};
  my $negativeFormat = $args{negativeFormat};
  my $positivePadding = $args{positivePadding};
  my $commify = $args{commify};
  my $result = "";
  my $padding = 0;
  my $errStr = "Portal::Accounting::DisplayItems->displayMoney()  - Error!<br>\n";

  if ($amount !~ /^-?\d+\.\d{2}$/)
  {
    $self->{error} = 1;
    $self->{errorString} = $errStr . "amount = '$amount' is invalid!<br>\n";
    return $result;
  }

  if ($negativeFormat < 0 || $negativeFormat > 2)
  {
    $self->{error} = 1;
    $self->{errorString} = $errStr . "negativeFormat = '$negativeFormat' is invalid!<br>\n";
    return $result;
  }

  if ($positivePadding !~ /^(true|false)$/)
  {
    $self->{error} = 1;
    $self->{errorString} = $errStr . "positivePadding = '$positivePadding' is invalid!<br>\n";
    return $result;
  }

  if ($commify !~ /^(true|false)$/)
  {
    $self->{error} = 1;
    $self->{errorString} = $errStr . "commify = '$commify' is invalid!<br>\n";
    return $result;
  }

  if ($amount =~ /^-\d+\.\d{2}$/) # we have a negative number!
  {
    $amount =~ s/^(-)(.+)$/$2/;
    if ($negativeFormat == 0)
    {
      $result = "<font color=\"red\">(</font>";
      $result .= ($commify eq "true" ? $self->commify(value => $amount) : $amount);
      $result .= "<font color=\"red\">)</font>";
    }
    elsif ($negativeFormat == 1)
    {
      $result = "<font color=\"red\">-</font>";
      $result .= ($commify eq "true" ? $self->commify(value => $amount) : $amount);
    }
    elsif ($negativeFormat == 2)
    {
      $result = ($commify eq "true" ? $self->commify(value => $amount) : $amount);
      $result .= "<font color=\"red\">-</font>";
    }
    $padding = "0em";
  }
  else
  {
    $result = ($commify eq "true"? $self->commify(value => $amount) : $amount);
    if ($positivePadding eq "true")
    {
      $padding = "0.5em" if ($negativeFormat == 0);
      $padding = "0.45em" if ($negativeFormat == 2);
    }
  }

  return ($padding, $result);
}

# javascript_floatify
# moved to javascript include file

# commify
# requires: value
# optional:
# returns: commified value
# This routine commifies the specified value according to US standards of money.
sub commify
{
  my $self = shift;
  my %args = ( value => "0.00", @_ );
  my $value = reverse $args{value};

  $value =~ s/(\d\d\d)(?=\d)(?!\d*\.)/$1,/g;

  return reverse $value;
}

1;
__END__

=head1 NAME

DisplayItems - Object used to build a DisplayItems Class.

=head1 SYNOPSIS

  use Portal::Accounting::DisplayItems;
  my $obj = Portal::Accounting::DisplayItems->new;
  if ($obj->didErrorOccur())
  {
    die $obj->errorMessage();
  }

=head1 DESCRIPTION

DisplayItems is a DisplayItems class.  These are items used in Displaying
screens with javascript formatting helpers, etc.

=head1 Exported FUNCTIONS

  scalar new(void)
    Creates a new instance of the Portal::Accounting::DisplayItems
    object.

  bool isValid(void)
    Returns 0 or 1 to indicate if the object is valid.  The error will be
    available via errorMessage().

  void setError(errorString)
    Sets error = 1 and $self->{errorString} = errorString.

  scalar didErrorOccur(void)
    Returns the value of error.

  scalar errorMessage(void)
    Returns the value of errorString.

  HTMLObject displayMenu(type, doc,)
    Creates the Main Menu bar with JavaScript hilighting in the specified
    HTMLObject.

  scalar displayMoney(amount, negativeFormat, positivePadding, commify)
     requires: amount
     optional: negativeFormat, positivePadding, commify
     returns: html code to display the monetary value with.

     This routine displays the monetary value in the desired negative
     format (if negative).  If positive, 2 spaces are added to the end
     of the output so that padding is done correctly, if specified.
     negativeFormat:
      0 = <font color="red">(</font>amount<font color="red">)</font>,
      1 = <font color="red">-</font>amount,
      2 = amount<font color="red">-</font>

  scalar commify(value)
     requires: value
     optional:
     returns: commified value

     This routine commifies the specified value according to US
     standards of money.

  scalar javascript_floatify(doc)
    returns:  1 if successful
    This is a method to insert javascript code that makes a value given
    to it a valid floating point value. If the value is not a number it
    changes it to 0.0

  NOTE:  All data fields are accessible by specifying the object
         and pointing to the data member to be modified on the
         left-hand side of the assignment.
         Ex.  $obj->variable($newValue); or $value = $obj->variable;

=head1 AUTHOR

PC&Web Xperience, Inc. (mailto:admin@pcxperience.com)

=head1 SEE ALSO

perl(1)

=cut
