# en.pm - The Object Class that provides a English Language Object
# Created by James Pattie & Jason A. Pattie, 11/07/2000.
#$Id: en.pm,v 1.82 2005/08/16 22:05:21 moreejt Exp $
#This package is released under the GNU General Public License.
#You should have recieved a copy of the GPL with it.
# Copyright (c) 2000 HLR http://www.pcxperience.org  All rights reserved.

package Portal::Accounting::Language::en;
use strict;
use Portal::LanguageBase;
use vars qw($AUTOLOAD $VERSION @ISA @EXPORT);

require Exporter;

@ISA = qw(Portal::LanguageBase Exporter AutoLoader);
@EXPORT = qw();

$VERSION = '$Revision: 1.82 $';

# The Phrases/words should be in the same case as the output should be for ex.
#$phrases{Accrual} = "Accrual";
#$phrases{accrual} = "accrual";
# spaces can be replaced with underscores in short phrases
#long phrases should be given a shortkeyphrase and placed in the lower section

my %phrases;
%phrases = ();

#short phrases
$phrases{account} = "account";
$phrases{Account} = "Account";
$phrases{accounts} = "accounts";
$phrases{Accounts} = "Accounts";
$phrases{Accrual} = "Accrual";
$phrases{Active} = "Active";
$phrases{Adjustment} = "Adjustment";
$phrases{'Add Row'} = "Add Row";
$phrases{'Administrative Expense'} = "Administrative Expense";
$phrases{'Advanced Earned Income Credit'} = "Advanced Earned Income Credit";
$phrases{ALL} = "ALL";
$phrases{'All Accounts'} = "All Accounts";
$phrases{Amex} = "Amex";
$phrases{Amount} = "Amount";
$phrases{Amounts} = "Amounts";
$phrases{'and'} = "and";
$phrases{asset} = "asset";
$phrases{Asset} = "Asset";
$phrases{Assets} = "Assets";
$phrases{Assign} = "Assign";
$phrases{'Assign Accounts'} = "Assign Accounts";
$phrases{AssignAllTickers} = "Assign All Tickers";
$phrases{Auto} = "Auto";
$phrases{Automark} = "Automark";
$phrases{Available} = "Available";
$phrases{Balance} = "Balance";
$phrases{Bank} = "Bank";
$phrases{Bank_Account_Summary} = "Bank Account Summary";
$phrases{Basis} = "Basis";
$phrases{Begin} = "Begin";
$phrases{'Begin Statement Balance'} = "Begin Statement Balance";
$phrases{Begins_on} = "Begins on";
$phrases{between} = "between";
$phrases{Bond} = "Bond";
$phrases{Book} = "Book";
$phrases{'Book Balance'} = "Book Balance";
$phrases{'Business Type'} = "Business Type";
$phrases{Buy} = "Buy";
$phrases{Calculation} = "Calculation";
$phrases{Cancel} = "Cancel";
$phrases{'Cannot Delete'} = "Cannot Delete";
$phrases{'Capital Gain'} = "Capital Gain";
$phrases{'Capital Gains/Losses'} = "Capital Gains/Losses";
$phrases{'Capital Loss'} = "Capital Loss";
$phrases{Cash} = "Cash";
$phrases{'Cash Purchases'} = "Cash Purchases";
$phrases{'Cash Receipts'} = "Cash Receipts";
$phrases{'Cash-Bank Acct'} = "Cash-Bank Acct";
$phrases{CD} = "CD";
$phrases{Check} = "Check";
$phrases{Checkbook} = "Checkbook";
$phrases{Chk} = "Chk";
$phrases{'Cash Balance'} = "Cash Balance";
$phrases{Change} = "Change";
$phrases{'Chart of Accounts'} = "Chart of Accounts";
$phrases{'Choose Register'} = "Choose Register";
$phrases{Cld} = "Cld";
$phrases{'Clear All'} = "Clear All";
$phrases{Cleared} = "Cleared";
$phrases{Client} = "Client";
$phrases{'Close Books'} = "Close Books";
$phrases{'Close Out'} = "Close Out";
$phrases{close} = "close";
$phrases{Close} = "Close";
$phrases{'Close Window'} = "Close Window";
$phrases{code} = "code";
$phrases{Code} = "Code";
$phrases{Color} = "Color";
$phrases{Commission} = "Commission";
$phrases{'Common Accounts'} = "Common Accounts";
$phrases{Company} = "Company";
$phrases{Comment} = "Comment";
$phrases{"Corporation"} = "Corporation";
$phrases{Configuration} = "Configuration";
$phrases{'Confirm Deletes'} = "Confirm Deletes";
$phrases{'CoGS Expense'} = "Cost of Goods Sold Expense";
$phrases{'Config Menu'} = "Config Menu";
$phrases{'Confirm Delete'} = "Confirm Delete";
$phrases{'Contra Asset'} = "Contra Asset";
$phrases{'Corporate Dividends Paid'} = "Corporate Dividends Paid";
$phrases{create} = "create";
$phrases{Create} = "Create";
$phrases{'Create New Ledger'} = "Create New Ledger";
$phrases{'Create Account'} = "Create Account";
$phrases{'Create Watchlist'} = "Create Watchlist";
$phrases{created} = "created";
$phrases{Credit} = "Credit";
$phrases{Credits} = "Credits";
$phrases{'Credit Purchase'} = "Credit Purchase";
$phrases{'Credit Receipt'} = "Credit Receipt";
$phrases{'Current Account'} = "Current Account";
$phrases{'Current Asset'} = "Current Asset";
$phrases{'Current Liability'} = "Current Liability";
$phrases{date} = "date";
$phrases{Date} = "Date";
$phrases{day} = "day";
$phrases{Day} = "Day";
$phrases{Debit} = "Debit";
$phrases{Debits} = "Debits";
$phrases{'delete'} = "delete";
$phrases{Delete} = "Delete";
$phrases{'Delete journal entry'} = "Delete journal entry";
$phrases{'Delete Sub Account'} = "Delete Sub Account";
$phrases{'Delete Sub Entity'} = "Delete Sub Entity";
$phrases{'Delete Watchlist'} = "Delete Watchlist";
$phrases{'Demo Data'} = "Demo Data";
$phrases{Departments} = "Departments";
$phrases{'Depreciation/Depletion'} = "Depreciation/Depletion";
$phrases{Dep} = "Dep";
$phrases{Deposit} = "Deposit";
$phrases{'Difference between statement and calculations'} = "Difference between statement and calculations";
$phrases{'Dividend Revenue'} = "Dividend Revenue";
$phrases{'Double Entry'} = "Double Entry";
$phrases{edit} = "edit";
$phrases{Edit} = "Edit";
$phrases{'Edit Account'} = "Edit Account";
$phrases{'Edit Ledger Properties'} = "Edit Ledger Properties";
$phrases{'Edit List'} = "Edit List";
$phrases{'Edit Sub Account'} = "Edit Sub Account";
$phrases{'Edit Sub Entity'} = "Edit Sub Entity";
$phrases{'Edit Watchlist'} = "Edit Watchlist";
$phrases{emails} = "e-mails";
$phrases{Emails} = "E-mails";
$phrases{Employee} = "Employee";
$phrases{Employees} = "Employees";
$phrases{End} = "End";
$phrases{'End Date'} = "End Date";
$phrases{'Ends on'} = "Ends on";
$phrases{'End Statement Balance'} = "End Statement Balance";
$phrases{entry} = "entry";
$phrases{Entry} = "Entry";
$phrases{Error} = "Error";
$phrases{Equity} = "Equity";
$phrases{'Exact Match'} = "Exact Match";
$phrases{execute} = "execute";
$phrases{Execute} = "Execute";
$phrases{Expense} = "Expense";
$phrases{Failed} = "Failed";
$phrases{'Fed Inc Tax Liability'} = "Federal Income Tax Liability";
$phrases{'Federal Deposit'} = "Federal Deposit";
$phrases{Fee} = "Fee";
$phrases{'FICA Expense'} = "FICA Expense";
$phrases{'FICA Liability'} = "FICA Liability";
$phrases{Finished} = "Finished";
$phrases{'Fiscal Year'} = "Fiscal Year";
$phrases{'Fixed Asset'} = "Fixed Asset";
$phrases{'for'} = "for";
$phrases{'for every'} = "for every";
$phrases{Forward} = "Forward";
$phrases{found} = "found";
$phrases{Found} = "Found";
$phrases{From} = "From";
$phrases{'G/L'} = "G/L";
$phrases{'Gain/Loss'} = "Gain/Loss";
$phrases{'General'} = "General";
$phrases{'General Ledger'} = "General Ledger";
$phrases{go} = "go";
$phrases{Go} = "Go";
$phrases{help} = "help";
$phrases{Help} = "Help";
$phrases{here} = "here";
$phrases{Hide} = "Hide";
$phrases{Historical} = "Historical";
$phrases{Id} = "Id";
$phrases{in} = "in";
$phrases{inClientMode} = "In Client Mode.\n";
$phrases{'Include'} = "Include";
$phrases{'Include In Short List'} = "Include In Short List";
$phrases{'Income Tax'} = "Income Tax";
$phrases{"Individual"} = "Individual";
$phrases{Industry} = "Industry";
$phrases{'Initial Balances'} = 'Initial Balances';
$phrases{inNormalMode} = "In Normal Mode.\n";
$phrases{Insert} = "Insert";
$phrases{'Interest Expense'} = "Interest Expense";
$phrases{'Interest Revenue'} = "Interest Revenue";
$phrases{interval} = "interval";
$phrases{Interval} = "Interval";
$phrases{InvalidWatchListName} = "Invalid Watch List name (%s)!";
$phrases{invalidPassword} = "Password is invalid!";
$phrases{Inventory} = "Inventory";
$phrases{'Investment Accounts'} = "Investment Accounts";
$phrases{'Investment Journal'} = "Investment Journal";
$phrases{Investment} = "Investment";
$phrases{'Investment Expense'} = "Investment Expense";
$phrases{Investments} = "Investments";
$phrases{Jnl} = "Jnl";
$phrases{Journal} = "Journal";
$phrases{Journals} = "Journals";
$phrases{Last} = "Last";
$phrases{'Last Close Out'} = "Last Close Out";
$phrases{LedgerCode} = "Ledger Code";
$phrases{LedgerColor} = "Ledger Color";
$phrases{ledger} = "ledger";
$phrases{Ledger} = "Ledger";
$phrases{'Ledger Code'} = "Ledger Code";
$phrases{'Ledger Name'} = "Ledger Name";
$phrases{'Ledger Required'} = "Ledger Required";
$phrases{Ledgers} = "Ledgers";
$phrases{'Ledger Summary'} = "Ledger Summary";
$phrases{Liability} = "Liability";
$phrases{"Limited Liability Co"} = "Limited Liability Co";
$phrases{links} = "links";
$phrases{login} = "login";
$phrases{Login} = "Login";
$phrases{logout} = "logout";
$phrases{Logout} = "Logout";
$phrases{Lot} = "Lot";
$phrases{'Long Term Gain'} = "Long Term Gain";
$phrases{'Long Term Liability'} = "Long Term Liability";
$phrases{'Long Term Liquid Asset'} = "Long Term Liquid Asset";
$phrases{MailType} = "Mail Type";
$phrases{MailServer} = "Mail Server";
$phrases{Main_Menu} = "Main Menu";
$phrases{maintainStocks} = "Maintain Stocks";
$phrases{Manage} = "Manage";
$phrases{'Manage Sub Accounts'} = "Manage Sub Accounts";
$phrases{'Manual Price'} = "Manual Price";
$phrases{Mark} = "Mark";
$phrases{Market} = "Market";
$phrases{'Medicare Expense'} = "Medicare Expense";
$phrases{'Medicare Liability'} = "Medicare Liability";
$phrases{Memo} = "Memo";
$phrases{Merger} = "Merger";
$phrases{'minimumRows'} = "The number of rows is less than the minimum of";
$phrases{'Mkt Val'} = "Mkt Val";
$phrases{monitor} = "monitor";
$phrases{Monitor} = "Monitor";
$phrases{month} = "month";
$phrases{Month} = "Month";
$phrases{'Most Used Accounts'} = "Most Used Accounts";
$phrases{Name} = "Name";
$phrases{name} = "name";
$phrases{Nasdaq} = "Nasdaq";
$phrases{New_Frame} = "New Frame";
$phrases{New} = "New";
$phrases{'New Account'} = "New Account";
$phrases{'New Investment'} = "New Investment";
$phrases{'New Sub Account'} = "New Sub Account";
$phrases{'New Sub Entity'} = "New Sub Entity";
$phrases{New_Window} = "New Window";
$phrases{noEntriesFound} = "No Entries found";
$phrases{None} = "None";
$phrases{Notes} = "Notes";
$phrases{Normal} = "Normal";
$phrases{'No Watchlists defined'} = "No Watchlists defined";
$phrases{NYSE} = "NYSE";
$phrases{of} = "of";
$phrases{'Open Books'} = "Open Books";
$phrases{Open} = "Open";
$phrases{'Operating Revenue'} = "Operating Revenue";
$phrases{'Operating Expense'} = "Operating Expense";
$phrases{operator} = "operator";
$phrases{Operator} = "Operator";
$phrases{Options} = "Options";
$phrases{"Order By"} = "Order By";
$phrases{Other} = "Other";
$phrases{'Other Revenue'} = "Other Revenue";
$phrases{'Other Expense'} = "Other Expense";
$phrases{'Other Payroll Expense'} = "Other Payroll Expense";
$phrases{'Outstanding Transactions'} = "Outstanding Transactions";
$phrases{'Paginate after'} = "Paginate after";
$phrases{Partner} = "Partner";
$phrases{'Partner/Stockholder'} = "Partner/Stockholder";
$phrases{"Partnership"} = "Partnership";
$phrases{password} = "password";
$phrases{Payee} = "Payee";
$phrases{Payroll} = "Payroll";
$phrases{Password} = "Password";
$phrases{"per page"} = "per page";
$phrases{"Per Share"} = "Per Share";
$phrases{percentChange} = "%";
$phrases{'Please Wait'} = "Please Wait";
$phrases{Portfolio} = "Portfolio";
$phrases{Power_Search} = "Power Search";
$phrases{Preferences} = "Preferences";
$phrases{Price} = "Price";
$phrases{print} = "print";
$phrases{Print} = "Print";
$phrases{"Public/Private Stocks"} = "Public/Private Stocks";
$phrases{Quarter} = "Quarter";
$phrases{Quick_Search} = "Quick Search";
$phrases{R} = "R";
$phrases{Receivable} = "Receivable";
$phrases{Reconcile} = "Reconcile";
$phrases{'records modified'} = "records modified";
$phrases{'records updated'} = "records updated";
$phrases{refresh} = "refresh";
$phrases{Refresh} = "Refresh";
$phrases{Register} = "Register";
$phrases{Registers} = "Registers";
$phrases{Remembered} = "Remembered";
$phrases{Reports} = "Reports";
$phrases{'Reserved Type'} = "Reserved Type";
$phrases{reset} = "reset";
$phrases{Reset} = "Reset";
$phrases{ReturnOfCapital} = "Return of Capital";
$phrases{Revenue} = "Revenue";
$phrases{rightClick} = 'Functions in the right click menu can be dangerous to your data in this application.\nAre you sure you want this menu?';
$phrases{run} = "run";
$phrases{Run} = "Run";
$phrases{'Salary Expense'} = "Salary Expense";
$phrases{'Sales Revenue'} = "Sales Revenue";
$phrases{Save} = "Save";
$phrases{'Save Account'} = "Save Account";
$phrases{'Save Sub Account'} = "Save Sub Account";
$phrases{'Save Ledger Properties'} = "Save Ledger Properties";
$phrases{'Save Sub Entity'} = "Save Sub Entity";
$phrases{SE} = "SE";  #short for subEntity
$phrases{Search} = "Search";
$phrases{'Search Journals'} = "Search Journals";
$phrases{'select all'} = "select all";
$phrases{'Select All'} = "Select All";
$phrases{Select} = "Select";
$phrases{Shares} = "Shares";
$phrases{'Show InActive'} = "Show InActive";
$phrases{'Show accounts by'} = "Show accounts by";
$phrases{'Show Options'} = "Show Options";
$phrases{'Show subaccounts by'} = "Show subaccounts by";
$phrases{"Sole Proprietorship"} = "Sole Proprietorship";
$phrases{SpinOff} = "Spin Off";
$phrases{'sql search operator'} = "sql search operator";
$phrases{'State Inc Tax Liability'} = "State Income Tax Liability";
$phrases{Statement} = "Statement";
$phrases{Start} = "Start";
$phrases{Stock} = "Stock";
$phrases{Stockholder} = "Stockholder";
$phrases{'Stock Prices'} = "Stock Prices";
$phrases{'Stock Quotes'} = "Stock Quotes";
$phrases{StockTransfer} = "Stock Transfer";
$phrases{stocks} = "stocks";
$phrases{Stocks} = "Stocks";
$phrases{'Sub Entity'} = "Sub Entity";
$phrases{'Sub Entities'} = "Sub Entities";
$phrases{'Sub Account'} = "Sub Account";
$phrases{'SA'} = "SA"; #short for sub account
$phrases{'Sub Accounts'} = "Sub Accounts";
$phrases{Submit} = "Submit";
$phrases{Success} = "Success";
$phrases{successfully} = "successfully";
$phrases{SHORT} = "SHORT";
$phrases{StockSplit} = "Stock Split";
$phrases{Summary} = "Summary";
$phrases{Supplier} = "Supplier";
$phrases{Symbol} = "Symbol";
$phrases{System} = "System";
$phrases{Taxable} = "Taxable";
$phrases{Type} = "Type";
$phrases{title} = "XIWA %s - %s";
$phrases{To} = "To";
$phrases{'to begin working'} = "to begin working";
$phrases{toCreateStocks} = "to create Stocks.";
$phrases{toMaintainStocks} = "to maintain Stocks.";
$phrases{Total} = "Total";
$phrases{totalCost} = "Cost";
$phrases{totalShares} = "Shares";
$phrases{Ticker} = "Ticker";
$phrases{"Trust"} = "Trust";
$phrases{Transaction} = "Transaction";
$phrases{Transactions} = "Transactions";
$phrases{Transfer} = "Transfer";
$phrases{Transfers} = "Transfers";
$phrases{Unassigned} = "Unassigned";
$phrases{unAssignAllTickers} = "Un-assign All Tickers";
$phrases{'un-select All'} = "un-select all";
$phrases{'Un-Select All'} = "Un-Select All";
$phrases{unSelect} = "un-Select";
$phrases{UnSelect} = "Un-Select";
$phrases{updated} = "updated";
$phrases{Update} = "Update";
$phrases{'Update Month Starts'} = "Update Month Starts";
$phrases{users} = "users";
$phrases{Users} = "Users";
$phrases{volumeTraded} = "Vol(M)";
$phrases{View} = "View";
$phrases{Watchlist} = "Watchlist";
$phrases{Watchlists} = "Watchlists";
$phrases{watchedStocks} = "Watched Stocks";
$phrases{week} = "week";
$phrases{'When creating new rows'} = "When creating new rows";
$phrases{With} = "With";
$phrases{xiwa} = "xiwa";
$phrases{Year} = "Year";

#long phrases
#javascript phrases
$phrases{'acctWarning'} = "No accounts are assigned.  There may not be any created accounts yet.";
$phrases{'Activating'} = "Activating";
$phrases{'already exists'} = "already exists";
$phrases{'areUsure'} = "Are you sure?";
$phrases{'Code'} = "Code";
$phrases{'codePrompt'} = "What should be the code?";
$phrases{'Create SubEntity'} = "Create SubEntity";
$phrases{'Delete all rows?'} = "Delete all rows?";
$phrases{'Delete row'} = "Delete row";
$phrases{'for this session'} = "for this session";
$phrases{'is inactive'} = "is inactive";
$phrases{'Invalid'} = "Invalid";
$phrases{'MetaPrompt'} = "What is the meta type? (1 => asset, 2 => liability, 3 => equity, 4 => revenue, 5 => expense)";
$phrases{'Name'} = "Name";
$phrases{'namePrompt'} = "What should be the name?";
$phrases{'New Account'} = "New Account";
$phrases{'New Sub Account'} = "New Sub Account";
$phrases{'notExist'} = "does not exist.  Create it?";
$phrases{'numbers only'} = "Only numbers are allowed in this field!";
$phrases{'row'} = "row";
$phrases{'Stop checking?'} = "Stop checking?";
$phrases{'taxPrompt'} = "Make this account taxable?";
$phrases{'Taxable'} = "Taxable";
$phrases{'Type'} = "Type";
$phrases{'typePrompt'} = "What should be the type?";
$phrases{'reconciledRow'} = "You are changing a reconciled row!";

$phrases{AccountConstraints} = "An account name may be used only once except for revenues and expenses which may have two for Taxable and Not Taxable.";
$phrases{accountDoesNotExistInDatabase} = "Account (%s) = %s does not exist in the database!";
$phrases{accountNotActive} = "Account (%s) = %s is not active!";
$phrases{accountNotAnEquityAccount} = "Account (%s) = %s is not an Equity Account!";
$phrases{accountNotAssignedToLedger} = "Account (%s) = %s does not appear to be assigned to ledger = %s!";
$phrases{adjustCost} = "adjust the cost to increase or decrease by";
$phrases{alreadyWatchingStock} = "You are already Watching Stock";
$phrases{appStateCommand} = "App = '%s', State = '%s', Command = '%s'.";
$phrases{appVersion} = "Accounting Version = <font color=\"%s\">%s</font>";
$phrases{avgCostPerShare} = "C/S";
$phrases{basis} = "Accounting Basis";
$phrases{BalanceNoMatch} = "If this does not match your statement correct it first";
$phrases{BalanceShouldMatch} = "When finished this should match your statement ending balance";
$phrases{cannotDeleteAllShort} = "You cannot delete the ALL and SHORT keywords.";
$phrases{cannotEditAllShort} = "You cannot edit the ALL and SHORT keywords.";
$phrases{chooseLeftoverEquityAccount} = "You must choose an account to assign left over cents to!";
$phrases{chooseOneEquityAccount} = "You must choose a single equity account to work with!";
$phrases{chooseStockInfo} = "Choose Stock Information";
$phrases{chooseStocksManually} = "You must choose stocks to manually update price!";
$phrases{ChooseTickersForWatchList} = "You must choose tickers to assign to the Watch List (%s)!";
$phrases{chooseTwoOrMoreEquityAccounts} = "You must choose two or more equity accounts to work with!";
$phrases{closeMessage} = "Press 'OK' if you really want to Close this Application,\\nelse press 'Cancel'.";
$phrases{close_lock} = "Close/Lock books up to this date:";
$phrases{closeNote} = "Note: Income summary is Revenues minus Expenses minus Dividends Declared/Paid.";
$phrases{closeoutDateInvalid} = "Closeout date is invalid!  '%s' must be after '%s'.";
$phrases{closeoutExplain} = "Revenues and Expenses for the year will be rolled into an equity account and set to 0 to start the next year.  Which equity account should be used?";
$phrases{AlreadyExists} = "An entry already exists with this ";
$phrases{codeInUse} = "This code is already used by ";
$phrases{commandNeeded} = "The Command to execute must be specified!";
$phrases{commandNotKnown} = "Command = '%s' is not known!";
$phrases{confirmCloseApp} = "Do you really want to Close this Application?";
$phrases{confirmDeleteSubEntity} = "Do you really want to delete this Sub Entity?";
$phrases{confirmDeleteSubAccount} = "Do you really want to delete this Sub Account?";
$phrases{confirmDeleteWatchList} = "Do you really want to delete this Watch List?";
$phrases{creditsGreaterThanDebits} = "Credits are greater than Debits!";
$phrases{cumulativeDates} = "Choose a date.  All closeout periods on and after this date will be opened.";
$phrases{dateInfo} = "Historical Date Info";
$phrases{debitsGreaterThanCredits} = "Debits are greater than Credits!";
$phrases{DeleteLedger} = "Do you want to Delete Ledger '%s'?";
$phrases{DeletionOfWatchListFailed} = "Deletion of Watch List (%s): failed";
$phrases{DeletionOfWatchListSucceeded} = "Deletion of Watch List (%s): succeeded";
$phrases{DeleteWatchList} = "Delete Watch List (%s)?";
$phrases{displayZeroShares} = "Display Zero Shares";
$phrases{editHelp} = "Use this field to edit the last transaction entered or another transaction by inputting the id number.";
$phrases{'EndStatementBalanceLong'} = "Enter the ending balance from your statement";
$phrases{enterListOfCommaSeparatedTickers} = "You must enter a list of comma-separated ticker sybmols (without empty entries).";
$phrases{equityAccountsArrayReferenceRequired} = "equityAccounts must be specified as an array reference!";
$phrases{errorClosingOutLedger} = "Error occurred closing out ledger = '%s', date = '%s'!";
$phrases{errorCommittingTransaction} = "Error occurred committing transaction to the database!";
$phrases{errorCreatingNextFiscalYear} = "Error occurred creating next fiscal year record (%s), begin date = '%s', end date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForEquityAccount} = "Error creating default balance table entry for equity account = '%s', retained earnings = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForEquitySubAccount} = "Error creating default balance table entry for equity account = '%s', sub-account = '-1', retained earnings = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForLeftoverEquityAccount} = "Error creating default balance table entry for leftover equity account = '%s', leftover amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForLeftoverEquitySubAccount} = "Error creating default balance table entry for leftover equity account = '%s', sub-account = '-1', leftover amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForPartnerEquityAccount} = "Error creating default balance table entry for partner equity account = '%s', partner amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForPartnerEquitySubAccount} = "Error creating default balance table entry for partner equity account = '%s', sub-account = '-1', partner amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForShareholderEquityAccount} = "Error creating default balance table entry for shareholder equity account = '%s', partner amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForShareholderEquitySubAccount} = "Error creating default balance table entry for shareholder equity account = '%s', sub-account = '-1', partner amount = '%s', date = '%s'!";
$phrases{errorExclam} = "Error!";
$phrases{errorFixingUpDate} = "Error occurred attempting to fixup date = %s";
$phrases{errorGettingLastCloseoutPeriod} = "Error retrieving last closeout period date for ledger = %s.";
$phrases{errorInsertingAccountBalances} = "Error inserting account balances into acct_bal_tb table!";
$phrases{errorInsertingSubAccountBalances} = "Error inserting sub-account balances into acct_bal_tb table!";
$phrases{errorLookingUpBalanceForEquityAccount} = "Error occurred looking up balance for equity account = '%s'!";
$phrases{errorLookingUpBalanceForEquitySubAccount} = "Error occurred looking up balance for equity account = '%s', sub-account = '-1'!";
$phrases{errorLookingUpBalanceForPartnerEquityAccount} = "Error occurred looking up balance for partner equity account = '%s'!";
$phrases{errorLookingUpBalanceForPartnerEquitySubAccount} = "Error occurred looking up balance for partner equity account = '%s', sub-account = '-1', business type = '%s'!";
$phrases{errorLookingUpBalanceForPartnerLeftoverEquityAccount} = "Error occurred looking up balance for partner leftover equity account = '%s'!";
$phrases{errorLookingUpBalanceForShareholderEquityAccount} = "Error occurred looking up balance for shareholder equity account = '%s'!";
$phrases{errorLookingUpBalanceForShareholderEquitySubAccount} = "Error occurred looking up balance for shareholder equity account = '%s', sub-account = '-1', business type = '%s'!";
$phrases{errorLookingUpBalanceForShareholderLeftoverEquityAccount} = "Error occurred looking up balance for shareholder leftover equity account = '%s'!";
$phrases{errorLookingUpBalanceForShareholderLeftoverEquitySubAccount} = "Error occurred looking up balance for shareholder leftover equity account = '%s', sub-account = '-1', business type = '%s'!";
$phrases{errorLookingUpCloseouts} = "Error looking up closeouts for ledger after date = '%s'.";
$phrases{errorLookingUpCurrentFiscalCloseoutDates} = "Error occurred while attempting to lookup the current fiscal year closeout dates.";
$phrases{errorLookingUpCurrentFiscalYearForLedger} = "Error occurred looking up current fiscal year for ledger = '%s'!";
$phrases{errorLookingUpFiscalYearEnd} = "Error occurred looking up the fiscal year end date for fiscal year = '%s'!";
$phrases{errorLookingUpMinimumKnownYear} = "Error occurred looking up the minimum known year for ledger = '%s'!";
$phrases{errorLookingUpNextFiscalYear} = "Error occurred trying to see whether fiscal year = '%s' exists in the known years table or not.";
$phrases{errorLookingUpPreviousCloseoutDate} = "Error occurred while trying to retrieve the last previous closeout date!";
$phrases{errorLookingUpStockWatchListInfo} = "Error occured while attempting to lookup stock watch list information!";
$phrases{errorNoBalancedReturnedForPartnerEquitySubAccount} = "No balance was returned for partner equity account = '%s', sub-account = '-1'!";
$phrases{errorNoBalancedReturnedForLeftoverEquitySubAccount} = "No balance was returned for leftover equity account = '%s', sub-account = '-1'!";
$phrases{errorNoBalancedReturnedForShareholderEquitySubAccount} = "No balance was returned for shareholder equity account = '%s', sub-account = '-1'!";
$phrases{errorObtainingEndDateOffset} = "Error occurred obtaining next fiscal year end date!";
$phrases{errorObtainingNextBeginDateOffset} = "Error occurred obtaining next begin date offset, quarter = '%s'!";
$phrases{errorObtainingQuarterEndOffset} = "Error occurred obtaining quarter end offset, quarter = '%s'!";
$phrases{errorObtainingStartDateOffset} = "Error occurred obtaining next fiscal year start date!";
$phrases{errorOpeningFiscalYears} = "Error occurred marking all years >= '%s' as not being closed!";
$phrases{errorRemovingAccountBalances} = "Error occurred attempting to remove account balances in the working year = '%s'!";
$phrases{errorReOpeningLedger} = "Error occurred reopening ledger = '%s', date = '%s'!";
$phrases{errorRetrievingActivityForDividendsPaid} = "Error retrieving the activity for Dividends Paid accounts!";
$phrases{errorRetrievingActivityForExpenses} = "Error retrieving the activity for Expense accounts!";
$phrases{errorRetrievingActivityForRevenues} = "Error retrieving the activity for Revenue accounts!";
$phrases{errorSummingCredits} = "Error occurred summing credit amounts.";
$phrases{errorSummingDebits} = "Error occurred summing debit amounts.";
$phrases{errorUpdatingClosedFiscalYearRecord} = "Error occurred updating the closed fiscal year record (%s).";
$phrases{errorUpdatingNextFiscalYearQuarter} = "Error updating next fiscal year (%s), quarter = '%s', quarter start = '%s', quarter end = '%s'.";
$phrases{errorUpdatingNextFiscalYearRecord} = "Error occurred updating the next fiscal year record (%s).";
$phrases{errorUpdatingNewWorkingYear} = "Error occurred updating new working year for ledger = '%s', new working year = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForEquityAccount} = "Error updating balance table entry for equity account = '%s', balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForEquitySubAccount} = "Error updating balance table entry for equity account = '%s', sub-account = '-1', balance = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForLeftoverEquityAccount} = "Error updating balance table entry for leftover equity account = '%s', leftover balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForLeftoverEquitySubAccount} = "Error updating balance table entry for leftover equity account = '%s', sub-account = '-1', leftover balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForPartnerEquityAccount} = "Error updating balance table entry for partner equity account = '%s', partner balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForPartnerEquitySubAccount} = "Error updating balance table entry for partner equity account = '%s', sub-account = '-1', partner balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForShareholderEquityAccount} = "Error updating balance table entry for shareholder equity account = '%s', shareholder balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForShareholderEquitySubAccount} = "Error updating balance table entry for shareholder equity account = '%s', sub-account = '-1', shareholder balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingWorkingYear} = "Error occurred updating the working year for reopening the fiscal period!";
$phrases{firstTimeRun} = "<font color=\"red\">Congratulations!  You have successfully run XIWA.</font> We would really appreciate it if you would let us know that you were able to get it running by clicking <a href=\"http://www.pcxperience.org/xiwa/firstrun.jpg\" target=\"_new\">here</a>.";
$phrases{frameBrowser} = "You must have a frames capable browser!";
$phrases{glcCustomizationTitle} = "Capital Gain/Loss Customization Screen";
$phrases{Help4ChartOfAccounts} = "Use this screen to create, view, and modify accounts.  Clicking the <b>Active</b> Header will show/hide inactive accounts.  Click the <b>Assign</b> button to change account assignments for the current ledger.  It will be disable if not inside of a ledger.";
$phrases{'Ignoring invalid'} = "Ignoring invalid";
$phrases{inClientMode} = "In Client Mode.\n";
$phrases{Initial_Account_Balances} = "Initial Account Balances";
$phrases{inNormalMode} = "In Normal Mode.\n";
$phrases{invalidArgument} = "<b>%s</b> = '%s' is invalid";
$phrases{invalidCreditDate} = "Credit check: beginDate = '%s' or endDate = '%s' is invalid!";
$phrases{invalidDebitDate} = "Debit check: beginDate = '%s' or endDate = '%s' is invalid!";
$phrases{invalidLedger} = "ledger = '%s' is invalid!<br>\n";
$phrases{'is using this sub entity'} = "is using this sub entity";
$phrases{ledgerAlreadyClosed} = "Ledger has already been closed out after Date = '%s'.";
$phrases{manualPriceNeedsToBeSpecified} = "Manual Price entry field empty!  Manual Price value needs to be specified.";
$phrases{missingArgument} = "<b>%s</b> is missing";
$phrases{moreWatchedStocksReturned} = "More watched Stocks returned than Stocks are created!";
$phrases{need2assign} = "You may need to assign it to this ledger.";
$phrases{negativeNumberFormatPhrase} = "Negative Number Format";
$phrases{noDates} = "No dates have been closed out yet.  There are none to open in the books.";
$phrases{noInformationReturnedFromFetch} = "No information returned from fetch operation!";
$phrases{noStocksCreated} = "No Stocks created!";
$phrases{noStockInfoReturned} = "No stock information was returned!";
$phrases{noStockInfoSuppliedReturned} = "No stock information was supplied, so no stock information can be returned!";
$phrases{noStocksReturned} = "No stocks were returned from the watched stocks table!";
$phrases{noTickeredStocksCreated} = "No Stocks created with Tickers!";
$phrases{noValidLedger} = "No valid ledgers are currently defined.  Click New to create one.";
$phrases{notEnoughPercentages} = "There should be the same number of percentages as there are equity accounts!";
$phrases{ofCostwill} = "of the cost will be allocated to the new shares.";
$phrases{passwdNeeded} = "passwd must be specifed!";
$phrases{percentageInvalid} = "The percentage (%s) given for Equity Account (%s) is invalid!";
$phrases{pleaseWatchStocks} = "Please be sure to watch some stocks.";
$phrases{PleaseCreateLedger} = "Please Create a Ledger so you can configure Ledger specific options like Sub-Entities, Assigned Accounts, Employees and Assets.";
$phrases{portfolioCustomizationTitle} = "Portfolio Customization Screen";
$phrases{PopUpColorPicker} = "Pop Up Color Picker";
$phrases{'reconcileHelp'} = "Use the <i>Save</i> button to save your work and come back later.  Use the <i>Finished</i> button to finalize the reconcilation and get a summary printout.  Use the note field below to record anything unusual.";
$phrases{reduceCost} = "is reducing the cost for each share by the amount of";
$phrases{SavingStockForWatchListFailed} = "Saving stock (%s) for Watch List (%s): failed";
$phrases{SavingWatchListSucceeded} = "Saving of Watch List (%s): succeeded";
$phrases{selectDate} = "You must select a date!";
$phrases{SelectLots} = "Click to select specific lots for this sale.";
$phrases{'Select Sub Account Type to Manage'} = "Select Sub Account Type to Manage";
$phrases{selectStockToUnWatch} = "You must select a Stock to Un-Watch!";
$phrases{selectStockToWatch} = "You must select a Stock to Watch!";
$phrases{sessionCookieNeeded} = "The Session Cookie must be defined!";
$phrases{sessionNotCreated} = "The Session does not exist but Session Cookie is defined!";
$phrases{sharesForEvery} = "share(s) for every";
$phrases{stateEvalFailed} = "Eval of State = '%s' failed!<br>\nError = '%s'.";
$phrases{stateNeeded} = "The State of the Application must be specified!";
$phrases{stateNotKnown} = "State = '%s' is not known!";
$phrases{stockPriceInstructions} = "To select stocks to update prices for (current, historical, or manual) choose from the <b>Stocks</b> select box. &nbsp;If doing Historical prices, select the Start and End Date values and the Interval to group by. &nbsp;If doing Manual prices, select the Start date and enter a Manual Price value. &nbsp;Then Click Go!";
$phrases{stockPriceTitle} = "Stock Price Maintenance";
$phrases{subAccountType50} = "You cannot create system level sub accounts.";
$phrases{subENote} = "Sub Entities are another way to divide up your data.  You could also use them as departments.";
$phrases{SubEntityInUse} = "The Sub Entity you tried to delete is being used in some transactions.  You cannot delete it.";
$phrases{substringMatch} = "Use this field to match a partial string for this field";
$phrases{sumOfEquityAccountPercentagesNot100} = "The sum of all Equity Account Percentages does not equal 100! Total Percentages = %s.";
$phrases{thatYouOwn} = "original share(s) that you own";
$phrases{tickersFailedToLookup} = "These tickers failed to be looked up";
$phrases{unameNeeded} = "uname must be specified!";
$phrases{unknownBusinessType} = "Unknown Business Type (%s) in ledger = '%s'";
$phrases{UnWatchingAllStocksWhileSavingWatchListFailed} = "unWatchAllStocks while saving Watch List (%s): failed";
$phrases{updateCurrentStockPrice} = "Update Current Stock Price";
$phrases{updateHistoricalStockPrice} = "Update Historical Stock Price";
$phrases{updateManualStockPrice} = "Update Manual Stock Price";
$phrases{UpdateStartInfo} = "Update Start Info";
$phrases{userNotActive} = "User = '%s' is not active!";
$phrases{userNotFound} = "Could not find User = '%s'!";
$phrases{usethis} = "Use this button to quickly mark a range of checks or deposits with 'x'";
$phrases{xiwaConfigInfo} = "To configure Ledgers, Accounts, Sub-Accounts, Stocks, Sub-Entities, etc. use:";
$phrases{FromColon} = "From:";
$phrases{ToColon} = "To:";
$phrases{youWillHaveTotal} = "You will have a total of";

# new
# instantiates an instance of the English Language Phrases.
sub new
{
  my $class = shift;
  my $self = $class->SUPER::new(@_);
  my %args = (  @_ );

  if ($self->error)
  {
    $self->prefixError();
    return $self;
  }

  $self->{phrases} = { %phrases };
  $self->{encoding} = "iso-8859-1";

  # do validation
  if (!$self->isValid)
  {
    return $self;
  }

  return $self;
}

1;
__END__

=head1 NAME

en - Object used to build a English Object Class.

=head1 SYNOPSIS

  use Portal::Language::en;
  my $obj = Portal::Language::en->new;
  if ($obj->error)
  {
    die $obj->errorMessage();
  }

=head1 DESCRIPTION

en is a English class.

=head1 Exported FUNCTIONS

  scalar new(void)
    Creates a new instance of the Portal::Language::en
    object.

=head1 Exported VARIABLES

  hash   phrases  - converted phrases
  scalar encoding - content type encoding for document.

  NOTE:  All data fields are accessible by specifying the object
         and pointing to the data member to be modified on the
         left-hand side of the assignment.
         Ex.  $obj->variable($newValue); or $value = $obj->variable;

=head1 AUTHOR

PC & Web Xperience, Inc. (mailto:admin@pcxperience.com)

=head1 SEE ALSO

perl(1), Portal(3), Portal::Accounting(3), Portal::LanguageBase(3)

=cut
